Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.eventing.service
Interface EventDistributionService

All Superinterfaces:
  PortletService

    public interface EventDistributionService

extends PortletService

This public interface provides methods to change the activation status of processing events. Changes to the activation status are valid for the current session only and will not be persisted. In addition, there are methods to check if wires are registered for a given publishing event. The service is functionally available if the request property `Constants.FEATURE_EVENT_DISTRIBUTION_SERVICE` is set in the `PortletRequest` The `EventDistributionService` interface is implemented by a `PortletService`. A portlet can gain access to the service implementation via JNDI lookup as outlined in the following:
`boolean edServiceAvailable = false;
EventDistributionService edService = null;
try {
Context ctx = new InitialContext();
PortletServiceHome serviceHome = (PortletServiceHome) ctx.lookup("portletservice/com.ibm.portal.eventing.service.EventDistributionService");
edService = (EventDistributionService)serviceHome.getPortletService(com.ibm.portal.eventing.service.EventDistributionService.class);
edServiceAvailable = true;
}
catch(Throwable t) {
}
`

Since:
  6.1.0.0

Method Summary
`boolean` | `isEventWired(PortletRequest request, PortletResponse response, javax.xml.namespace.QName publishingEventName)` This method returns true if the calling portlet´s given publishing event is currently wired.

Method Detail

### isEventWired

    boolean isEventWired(PortletRequest request,
                         PortletResponse response,
                         javax.xml.namespace.QName publishingEventName)
                         throws EventDistributionServiceException

  This method returns true if the calling portlet´s given publishing event is currently wired. The knowledge of whether a publishing event is wired may be used by the owning portlet to display additional visual elements such as links which trigger an invocation of this event.

  Parameters:
    `request` - the current `PortletRequest` object
    `response` - the current `PortletResponse` object
    `publishingEventName` -
  Returns:
    true if the publishing event of the calling portlet window´s portlet definition is wired to other communication targets
  Throws:
    `EventDistributionServiceException`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD